Subject: Re: Port problem
From: "Gerrit P. Haase" <[email-masked]>
To: "ioda" <[email-masked]>
Cc: [email-masked]
Date: Sun, 7 Apr 2002 01:22:16 +0200

Hallo ioda,

Am 2002-04-06 um 20:59 schriebst du:

[..]

> do not use advanced features (I DO NOT WANT TO CODE AN HTTP SERVER !!)

You have coded a HTTP server;)

[...]

> You may get a page saying hello WORLD !

<html>
<head>
<title>Hello world!</title>
</head>
<body>

That is all I get if I view the source in Opera connecting from
the same box, if I connect from a remote box with IE it works perfect,
so basically it works ok.  Dubious is that I get the full page from the
remote box but not from the local one.

See:
$ ./server.exe
DEBUG : Address IP = 0.0.0.0, Port = 12345 
DEBUG : Server waiting...
DEBUG : fork child 361 for 192.168.1.1:4796
DEBUG : Server waiting...
HTTP/1.0 200 OK
DATE : Fri, 05 Apr 2002 11:22:12 DFT
Server : DummyWS/0.1
Content-Type : text/HTML
Content-Length : 112
Last-Modified : Thu, 21 Mar 2002 00:11:12 NFT

<html>
<head>
<title>Hello world!</title>
</head>
<body>
<center>
<h1>Hello world!</h1>
</center>
</body>
</html>

DEBUG : file forwarded !
DEBUG : child done
HDEBUG : fork child 457 for 192.168.1.1:4797
DEBUG : Server waiting...
TTP/1.0 200 OK                <-----------------This is strange!!!!!!!!!
DATE : Fri, 05 Apr 2002 11:22:12 DFT
Server : DummyWS/0.1
Content-Type : text/HTML
Content-Length : 112
Last-Modified : Thu, 21 Mar 2002 00:11:12 NFT

<html>
<head>
<title>Hello world!</title>
</head>
<body>
<center>
<h1>Hello world!</h1>
</center>
</body>
</html>

DEBUG : file forwarded !
DEBUG : child done
DEBUG : fork child 625 for 192.168.1.1:4804
DEBUG : Server waiting...
HTTP/1.0 200 OK
DATE : Fri, 05 Apr 2002 11:22:12 DFT
Server : DummyWS/0.1
Content-Type : text/HTML
Content-Length : 112
Last-Modified : Thu, 21 Mar 2002 00:11:12 NFT

<html>
<head>
<title>Hello world!</title>
</head>
<body>
<center>
<h1>Hello world!</h1>
</center>
</body>
</html>

DEBUG : file forwarded !
DEBUG : child done

And with telnet:
$ telnet loreley.antigone.familiehaase.de 12345
Trying 192.168.1.1...
Connected to loreley.antigone.familiehaase.de.
Escape character is '^]'.
HTTP/1.1 200 OK
DATE: 2002-04-07 01:04:00 GMT
Server: DummyWS/0.1 (Cygwin)
Last-Modified: Thu, 21 Mar 2002 00:11:12 NFT
Content-Length: 112
Content-Type: text/html

<html>
<head>
<title>Test page</title>
</head>
<body>
<center>
<h1>Hello WORLD !</h1>
</center>
</body>
</html>
Connection closed by foreign host.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/